com.r3corda.contracts / FloatingRatePaymentEvent

# FloatingRatePaymentEvent

`class FloatingRatePaymentEvent : RatePaymentEvent`

Basic class for the Floating Rate Payments on the floating leg - see RatePaymentEvent If the rate is null returns a zero payment. // TODO: Is this the desired behaviour?

### Constructors

<init> | `FloatingRatePaymentEvent(date: LocalDate, accrualStartDate: LocalDate, accrualEndDate: LocalDate, dayCountBasisDay: DayCountBasisDay, dayCountBasisYear: DayCountBasisYear, fixingDate: LocalDate, notional: Amount, rate: Rate)` Basic class for the Floating Rate Payments on the floating leg - see RatePaymentEvent If the rate is null returns a zero payment. // TODO: Is this the desired behaviour?

### Properties

fixingDate | `val fixingDate: LocalDate`
flow | `val flow: Amount`

### Inherited Properties

accrualEndDate | `val accrualEndDate: LocalDate`
accrualStartDate | `val accrualStartDate: LocalDate`
dayCountBasisDay | `val dayCountBasisDay: DayCountBasisDay`
dayCountBasisYear | `val dayCountBasisYear: DayCountBasisYear`
dayCountFactor | `val dayCountFactor: BigDecimal`
days | `val days: Int`
notional | `val notional: Amount`
rate | `val rate: Rate`

### Functions

asCSV | `fun asCSV(): String`
copy | `fun copy(date: LocalDate = this.date, accrualStartDate: LocalDate = this.accrualStartDate, accrualEndDate: LocalDate = this.accrualEndDate, dayCountBasisDay: DayCountBasisDay = this.dayCountBasisDay, dayCountBasisYear: DayCountBasisYear = this.dayCountBasisYear, fixingDate: LocalDate = this.fixingDate, notional: Amount = this.notional, rate: Rate = this.rate): FloatingRatePaymentEvent`
equals | `fun equals(other: Any?): Boolean`
hashCode | `fun hashCode(): Int`
toString | `fun toString(): String`
withNewRate | `fun withNewRate(newRate: Rate): FloatingRatePaymentEvent` Used for making immutables

### Inherited Functions

calculate | `open fun calculate(): Amount`

### Companion Object Properties

CSVHeader | `val CSVHeader: String`